<form [formGroup]="messageForm" (ngSubmit)="onSubmit()">
  <div *ngIf="selectRecipient">
    <label for="to" class="form-label">To: </label>
    <div class="input-group" id="inpgrp-to">
    <app-modal-users (user)="setUser($event)"></app-modal-users>
    <input id="to" type="text" class="form-control" formControlName="to" required>
    </div>
  </div>
  <div *ngIf="recipient">
    <label for="to-author" class="form-label">Email to:</label>
    <span class="form-control mb-3" id="to-author">{{getUserString(recipient)}}</span>
  </div>
  <label for="text" class="form-label">Message: </label>
  <textarea id="text" rows="3" class="form-control mb-3" formControlName="text" required ></textarea>
  <div *ngIf="messageForm.controls.text.invalid && (messageForm.controls.text.dirty || messageForm.controls.text.touched)"
       class="alert alert-danger">
    <div *ngIf="messageForm.controls.text.errors?.['required']">
      Text is required.
    </div>
  </div>
  <div *ngIf="attachFile">
    <label for="file" class="label">Report</label>
    <input id="file" type="file" class="form-control mb-3" formControlName="fileName" (change)="onFileSelected($event)">
    <div
      *ngIf="messageForm.controls.fileName.invalid && (messageForm.controls.fileName.dirty || messageForm.controls.fileName.touched)"
      class="alert alert-danger">
      <div *ngIf="messageForm.controls.fileName.errors?.['required']">
        a report as pdf file is required.
      </div>
      <div *ngIf="messageForm.controls.fileName.errors?.['requiredFileType']">
        only pdf files are supported.
      </div>
    </div>
  </div>
  <label *ngIf="attachReports && reviews.length" for="reports" class="form-label">Select reports to attach</label>
  <div *ngIf="attachReports && reviews.length" class="list-group" id="reports" formArrayName="reports">
    <label class="list-group-item mb-3" *ngFor="let report of reports.controls; let i=index" for="report-{{i}}">
      <input id="report-{{i}}" class="form-check-input me-1" type="checkbox" [disabled]="!reviews[i].report" value="i"
             [formControlName]="i">
      <div *ngIf="reviews[i].report; then report_link else no_report_link"></div>
      <ng-template #report_link><a [href]="reviews[i].report" target="_blank"> Report </a></ng-template>
      <ng-template #no_report_link><span> Report </span></ng-template>
      by {{reviews[i].user?.username}} &lt;{{reviews[i].user?.email}}&gt;
    </label>
  </div>
  <div *ngIf="attachReports && !reviews.length" >
    <span class="form-control text-warning" id="report">no report available - sending message without report ?</span>
  </div>
<!--  <p>Value: {{ messageForm.value | json }}</p>-->
  <button type="submit" class="btn btn-primary me-3 mb-3" [disabled]="!messageForm.valid">Send</button>
</form>
